Bug 642377 (CVE-2009-5006) - CVE-2009-5006 qpid: crash when redeclaring the exchange with specified alternate_exchange
Summary: CVE-2009-5006 qpid: crash when redeclaring the exchange with specified altern...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-5006
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 517751
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-12 18:02 UTC by Vincent Danen
Modified: 2019-09-29 12:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-09 14:50:20 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0773 0 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging and Grid Version 1.3 2010-10-14 15:56:44 UTC
Red Hat Product Errata RHSA-2010:0774 0 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging and Grid Version 1.3 2010-10-14 16:21:24 UTC

Description Vincent Danen 2010-10-12 18:02:37 UTC
It was reported [1], [2] that Apache QPID would crash due to a NULL pointer dereference when a remote, authenticated user attempted to redeclare an existing exchange and add a new alternate exchange.  This would result in a denial of service condition of the server.  This was corrected upstream by r811188 [3].

[1] https://issues.apache.org/jira/browse/QPID-2080
[2] https://bugzilla.redhat.com/show_bug.cgi?id=517751
[3] http://svn.apache.org/viewvc?revision=811188&view=revision

Comment 2 errata-xmlrpc 2010-10-14 15:57:11 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0773 https://rhn.redhat.com/errata/RHSA-2010-0773.html

Comment 3 errata-xmlrpc 2010-10-14 16:21:36 UTC
This issue has been addressed in following products:

  Grid for MRG on RHEL-4
  Messaging for MRG on RHEL-4
  Grid Execute Node for MRG on RHEL-4
  Messaging Base for MRG on RHEL-4

Via RHSA-2010:0774 https://rhn.redhat.com/errata/RHSA-2010-0774.html


Note You need to log in before you can comment on or make changes to this bug.